Public APIAPI ReferenceApps
Create an app.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
POST
/v1/appsA team owner or member with a verified email address creates an app. If team_id is omitted, the default team is used. CLI: ntro apps create. Only users with a verified email can use this.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps" \ -H "Content-Type: application/json" \ -d '{ "slug": "string" }'{ "app": { "createdAt": "string", "domainCount": 0, "domains": [ "string" ], "hostname": "string", "id": "string", "latestDeployment": { "createdAt": "string", "git": true, "id": "string", "shortId": "string", "status": "string", "target": "string" }, "productionDeploymentId": "string", "productionPreview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "slug": "string", "suspendedAt": "string", "suspensionReason": "string", "team_id": "string" }}